using System.ComponentModel;
using UnityEngine;
using UnityEngine.Events;

public class ColliderTriggerResponse : MonoBehaviour
{
    [Description("Optional")]
    [SerializeField]
    string Tag;

    [SerializeField]
    UnityEvent enterE;

    [SerializeField]
    UnityEvent exitE;

    void OnTriggerEnter(Collider collision)
    {
        if (!string.IsNullOrEmpty(Tag))
        {
            if (collision.tag != Tag)
            {
                return;
            }
        }
    }

    void OnTriggerExit(Collider collision)
    {
        if (!string.IsNullOrEmpty(Tag))
        {
            if (collision.tag != Tag)
            {
                return;
            }
        }

    }
}